> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openformat.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Show all user webhooks



## OpenAPI

````yaml get /webhook
openapi: 3.0.0
info:
  version: 0.1.0
  title: Openformat API
servers:
  - url: https://api.openformat.tech/v1
    description: Live server
security:
  - ApiKeyAuth: []
paths:
  /webhook:
    get:
      tags:
        - webhook
        - show
        - list
      description: Show all user webhooks
      responses:
        '200':
          description: Webhooks data
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                    description: Successful reponse status
                    example: success
                  webhooks:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          description: Webhook id
                          example: 123
                        url:
                          type: string
                          description: Webhook URL
                          example: https://api.example.com/webhook
                        events:
                          type: array
                          items:
                            type: string
                            description: Event name
                            example: transaction
                          description: List of events that will trigger this webhook
                          example:
                            - transaction
                        disabled:
                          type: boolean
                          description: Whether this webhook is disabled
                          example: true
                        disabled_at:
                          type: string
                          description: Datetime this webhook was disabled
                          example: '2024-01-23 01:23:45.55338+00'
                        created_at:
                          type: string
                          description: Datetime this webhook was created
                          example: '2024-01-23 01:23:45.55338+00'
                      required:
                        - id
                        - url
                        - events
                        - disabled
                        - disabled_at
                        - created_at
                    description: List of webhook for the logged in user
                required:
                  - status
                  - webhooks
        '500':
          description: An error ocurred
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failed
                    description: Failed reponse status
                    example: failed
                  error:
                    type: string
                    description: Error message
                    example: Database operation failed
                required:
                  - status
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````